#include "CrossPromoPlatformSpecificContentRuntimeData.h"


FCrossPromoPlatformSpecificContentRuntimeData::FCrossPromoPlatformSpecificContentRuntimeData()
{
	this->LinkType = ECrossPromoMediaResourceLinkType::None;
	this->LinkDisplayType = ECrossPromoLinkDisplayType::None;
	this->LinkURI = TEXT("");
	this->ImagesUri = TArray<FSoftObjectPath>();
	this->VideosUri = TArray<FSoftObjectPath>();
	this->KeyArtImagePath = FSoftObjectPath{};
	this->ButtonLabelTranslations = TMap<FString, FString>();
	this->InstructionTextTranslations = TMap<FString, FString>();
	this->RewardsLabelTranslations = TMap<FString, FString>();
	this->Rewards = TArray<FCrossPromoRewardContentRuntimeData>();
}
